<template>
	<div class="navbar">
		<Hamburger :toggle-click="toggleSideBar" :is-active="sidebar.opened" class="hamburger-container" />

		<Breadcrumb class="breadcrumb-container" />

		<ul class="nav">
            <li class="nav-item">
				<a href=""><i class="ion-ios-notifications" style="color:#FACB8C;"></i></a>
            </li>
			<li class="nav-item">
				<a href=""><i class="ion-ios-time" style="color:#ED93B4;"></i></a>
            </li>
            <li class="nav-item">
                <el-dropdown trigger="click" @command="handleCommand">
                    <span class="el-dropdown-link">
						<div :data-initial-small="initial(me.fullname)"></div>
                    </span>
                    <el-dropdown-menu slot="dropdown">						
                        <el-dropdown-item command="/me/account"><i class="ion-ios-person" style="color:#C8B2F4;"></i>Account</el-dropdown-item>
                        <el-dropdown-item command="/me/histories"><i class="ion-ios-time" style="color:#ED93B4;"></i>Histories</el-dropdown-item>
                        <el-dropdown-item command="/logout"><i class="ion-ios-exit" style="color:#6FC5AA;"></i>Logout</el-dropdown-item>
                    </el-dropdown-menu>
                </el-dropdown>                
            </li>
        </ul>
	</div>
</template>

<script>
import { mapGetters } from 'vuex';
import { initial } from '@/utils';
import Breadcrumb from '@/components/Breadcrumb';
import Hamburger from '@/components/Hamburger';

export default {
	name: 'Navbar',
	components: {
		Breadcrumb,
		Hamburger
	},
	computed: {
		...mapGetters([
			'sidebar'
		]),
		...mapGetters('user', ['me'])
	},
	methods: {
		initial,
		toggleSideBar() {
			this.$store.dispatch('toggleSidebar');
		},
		handleCommand(command){
			if(command === '/logout'){
				this.logout();
			}else{
				this.$router.push({path: command});
			}
		},
		logout() {
			const self = this;

			self.$confirm('You are about to logout. Are you sure?', 'Logout', {
				confirmButtonText: 'OK',
				cancalButtonText: 'Cancel',
				type: 'info'
			}).then(() => {
				self.$store.dispatch('auth/doLogout').then((e) => {
					/* eslint-disable no-console */
					console.log(e);
				});
			});
		}
	}
}
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
.navbar {
	height: 50px;
	overflow: hidden;
	background-color: #fff;
    color: #333;
    line-height: 50px;
    position: relative;
    border-bottom: 1px solid #eee;
    text-align: left;

	.hamburger-container {
		line-height: 50px;
		height: 100%;
		float: left;
		cursor: pointer;
		transition: background .3s;
		width: 45px;
		text-align: center;
		color: rgb(129, 142, 148);

		&:hover {
			background: rgba(0, 0, 0, .025);
		}

	}

	.breadcrumb-container {
		float: left;
	}

	.nav{
		float: right;
		height: 100%;
		line-height: 50px;
		background: transparent;
		padding: 0;
		margin: 0;
		
		.nav-item{
			margin: 0;
			float: left;
			list-style: none;
			position: relative;
			cursor: pointer;
			padding: 0 20px;
			border-left: 1px solid #eee;

			a{
				text-decoration: none;
				color: #818E94;
				display: block;
				outline:0;

				i{
					margin: 0;
					font-size: 24px;
				}
			}

			.el-dropdown{
				vertical-align: middle;
				margin-top: 0;	
				outline: 0;	

				i{
					margin: 0;
					font-size: 24px;
				}		
			}
		}

		&:first-child{
			border:none;
		}
	}	
}
</style>
